# Finds Eigen3.
#
# This module defines:
# EIGEN3_INCLUDE_DIRS
#

find_package(PkgConfig REQUIRED)
pkg_check_modules(PC_EIGEN3 eigen3)

find_path(EIGEN3_INCLUDE_DIR
          Eigen
          HINTS ${PC_EIGEN3_INCLUDEDIR} ${PC_EIGEN3_INCLUDE_DIRS})

set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(Eigen3 DEFAULT_MSG
                                  EIGEN3_INCLUDE_DIR)

mark_as_advanced(EIGEN3_INCLUDE_DIR)

